summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-06-02 20:43:02 +0200
committerHolger Levsen <holger@layer-acht.org>2016-06-02 20:43:02 +0200
commitc1bc910cfc78bb486535eceda919e6a860858130 (patch)
tree6d4f234978e8271b923aff81679986751d9f553c /bin
parent7d4c0b99ff1204e7e050292656bb84c1bd8ef8e7 (diff)
downloadjenkins.debian.net-c1bc910cfc78bb486535eceda919e6a860858130.tar.xz
reproducible debian: add three new armhf build nodes, thanks to Vagrant, with maintenance and setup jobs
Diffstat (limited to 'bin')
-rwxr-xr-xbin/common-functions.sh12
-rwxr-xr-xbin/jenkins_node_definitions.sh9
2 files changed, 15 insertions, 6 deletions
diff --git a/bin/common-functions.sh b/bin/common-functions.sh
index 02726a21..ad4a613e 100755
--- a/bin/common-functions.sh
+++ b/bin/common-functions.sh
@@ -55,16 +55,16 @@ else
fi
if [ -z "$MIRROR" ]; then
case $HOSTNAME in
- jenkins|jenkins-test-vm|profitbricks-build*) export MIRROR=http://ftp.de.debian.org/debian ;;
- bbx15|bpi0|cbxi4*|hb0|wbq0|odxu4*|wbd0|rpi2*|ff2*|ff4*|opi2*) export MIRROR=http://ftp.us.debian.org/debian ;;
- *) echo "unsupported host, exiting." ; exit 1 ;;
+ jenkins|jenkins-test-vm|profitbricks-build*) export MIRROR=http://ftp.de.debian.org/debian ;;
+ bbx15|bpi0|cb3*|cbxi4*|hb0|wbq0|odxu4*|odu3*|wbd0|rpi2*|ff2*|ff4*|opi2*) export MIRROR=http://ftp.us.debian.org/debian ;;
+ *) echo "unsupported host, exiting." ; exit 1 ;;
esac
fi
if [ -z "$http_proxy" ]; then
case $HOSTNAME in
- jenkins|jenkins-test-vm|profitbricks-build*) export http_proxy="http://localhost:3128" ;;
- bbx15|bpi0|cbxi4*|hb0|wbq0|odxu4*|wbd0|rpi2*|ff2*|ff4*|opi2*) export http_proxy="http://10.0.0.15:8000/" ;;
- *) echo "unsupported host, exiting." ; exit 1 ;;
+ jenkins|jenkins-test-vm|profitbricks-build*) export http_proxy="http://localhost:3128" ;;
+ bbx15|bpi0|cb3*|cbxi4*|hb0|wbq0|odxu4*|odu3*|wbd0|rpi2*|ff2*|ff4*|opi2*) export http_proxy="http://10.0.0.15:8000/" ;;
+ *) echo "unsupported host, exiting." ; exit 1 ;;
esac
fi
if [ -z "$CHROOT_BASE" ]; then
diff --git a/bin/jenkins_node_definitions.sh b/bin/jenkins_node_definitions.sh
index 3e665858..2c134efd 100755
--- a/bin/jenkins_node_definitions.sh
+++ b/bin/jenkins_node_definitions.sh
@@ -64,6 +64,15 @@ get_node_ssh_port() {
opi2b-armhf-rb.debian.net)
PORT=2238
;;
+ odu3a-armhf-rb.debian.net)
+ PORT=2243
+ ;;
+ cb3a-armhf-rb.debian.net)
+ PORT=2244
+ ;;
+ opi2c-armhf-rb.debian.net)
+ PORT=2245
+ ;;
profitbricks-build*)
PORT=22
;;